Summary:        A hybrid between a 'make' utility and a 'shell script' language
Name:		icmake
Version:	7.21.00
Release:	%mkrel 1
License:	GPLv3
Group:		Development/Tools
URL:		http://icmake.sourceforge.net/
Source:		http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}_%{version}.orig.tar.gz

%description
Icmake is a hybrid between a 'make' utility and a 'shell script' language. 
Originally, it was written to provide a useful tool for automatic program 
maintenance and system administrative tasks on old MS-DOS platforms.

%package	doc
Group:		Documentation
Summary:	Documentation for icmake

%description	doc
This package contains the documentation for icmake.

%prep
%setup -q

# set the correct LIBDIR path
sed -i -e "s:usr/lib:usr/%{_lib}:g" INSTALL.im

# fix executable perms in examples
pushd examples
for i in am backup bup defines ds ftpxfer idir \
	initialization keep killprog nesteddirectives r tolower
do
	chmod -x $i
done
popd

%build
./icm_bootstrap /

%install
./icm_install strip progs %{buildroot}
./icm_install scripts %{buildroot}
./icm_install skel %{buildroot}
./icm_install man %{buildroot}
./icm_install doc %{buildroot}
./icm_install docdoc %{buildroot}
./icm_install etc %{buildroot}

%files
%doc LICENSE
%{_bindir}/ic*
%{_libdir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_datadir}/%{name}
%{_mandir}/man*/*


%files doc
%{_docdir}/%{name}-doc


%changelog
* Thu Sep 26 2013 pinoc <vogtpet at gamil.com> 7.21.00-1pclos2013
- imported package icmake

